#!/bin/bash
# REMEMBER TO GIVE YOUR BASH SCRIPT EXECUTE PERMISSION : chmod +x scriptname

DYN_DIR=$1 #Path to the directory holding the dynamics based organization of DTDB
APP_DIR=$2 #Path to the directory where you want to save the appearance based organization of DTDB

CSV=$3 #Path to the provided Dyn2App(App2Dyn)_correspondence_(TRAIN_OR_TEST).csv files

TRAIN_OR_TEST=$4 #Specify whether you want to re-organize the training or testing set

root_dir=$DYN_DIR/$TRAIN_OR_TEST/*/
dest=$APP_DIR/$TRAIN_OR_TEST

DYN_CSV=$CSV/"Dyn2App_correspondence_"$TRAIN_OR_TEST".csv"
APP_CSV=$CSV/"App2Dyn_correspondence_"$TRAIN_OR_TEST".csv"

#########################################################
# Get the NAME OF EACH FILE IN TH DYN_BASED ORGANIZATION
#########################################################

FILES="$root_dir*"
   for f in $FILES
      do
          echo "processing: " $f
          file=`basename $f`
	  echo $file
          
          DYN_NAME=${file%%.*}".mp4"  # retain the part before the first dot
	  echo $DYN_NAME
#read -p "Press Enter to continue" </dev/tty  
          ##############################################################
	  # FIND THE ID OF THE VIDEO IN THE DYN_BASED ORGANIZATION
	  ##############################################################
	  DYN=$(grep -e "$DYN_NAME" $DYN_CSV)
	  echo $DYN
	  DYN_ID=${DYN%,*}  # retain the part before the COMMA
	  echo $DYN_ID
#read -p "Press Enter to continue" </dev/tty  
          ##############################################################
	  # FIND THE NAME OF THIS ID IN THE APP_BASED ORGANIZATION
	  ##############################################################
	  found=$(grep -we $DYN_ID $APP_CSV)
	  if [ -z "$found" ];then
                echo "FILE $f NOT FOUND"	
          else
		echo "found file at: " $found
		app=${found##*,}  # retain the part AFTER the comma
		echo $app
		APP_CSV_name=${app# *}
                APP_CSV_folder=${APP_CSV_name%_g*}
		echo $APP_CSV_folder
		#######################
	  	# Copy and rename files 
        	#######################
		  dest_dir=$dest/$APP_CSV_folder
		  mkdir -p $dest_dir
	          cp "$f" "$dest_dir"
#read -p "Press Enter to continue" </dev/tty          
        	  oldname="$dest_dir"/"$file"
        	  newname="$dest_dir"/"$APP_CSV_name"
        	  echo $oldname
        	  echo $newname
         	  mv $oldname $newname
#read -p "Press Enter to continue" </dev/tty          
		
	  fi

      done
   
    
  
